package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.PosCollectMapper;
import com.ruoyi.system.domain.PosCollect;
import com.ruoyi.system.service.IPosCollectService;

/**
 * collectService业务层处理
 * 
 * @author ruoyi
 * @date 2023-06-21
 */
@Service
public class PosCollectServiceImpl extends ServiceImpl<BaseMapper<PosCollect>,PosCollect> implements IPosCollectService
{
    @Autowired
    private PosCollectMapper posCollectMapper;

    /**
     * 查询collect
     * 
     * @param id collect主键
     * @return collect
     */
    @Override
    public PosCollect selectPosCollectById(Long id)
    {
        return posCollectMapper.selectPosCollectById(id);
    }

    /**
     * 查询collect列表
     * 
     * @param posCollect collect
     * @return collect
     */
    @Override
    public List<PosCollect> selectPosCollectList(PosCollect posCollect)
    {
        return posCollectMapper.selectPosCollectList(posCollect);
    }

    /**
     * 新增collect
     * 
     * @param posCollect collect
     * @return 结果
     */
    @Override
    public int insertPosCollect(PosCollect posCollect)
    {
        return posCollectMapper.insertPosCollect(posCollect);
    }

    /**
     * 修改collect
     * 
     * @param posCollect collect
     * @return 结果
     */
    @Override
    public int updatePosCollect(PosCollect posCollect)
    {
        return posCollectMapper.updatePosCollect(posCollect);
    }

    /**
     * 批量删除collect
     * 
     * @param ids 需要删除的collect主键
     * @return 结果
     */
    @Override
    public int deletePosCollectByIds(Long[] ids)
    {
        return posCollectMapper.deletePosCollectByIds(ids);
    }

    /**
     * 删除collect信息
     * 
     * @param id collect主键
     * @return 结果
     */
    @Override
    public int deletePosCollectById(Long id)
    {
        return posCollectMapper.deletePosCollectById(id);
    }
}
